Move sessionrestore data collector timer in the content process to idle dispatch
See this profile on the reference Acer machine,  (read  of jank optimizing XPath expressions when searching on youtube.com. :-(


